classification
Title: ZeroMQSocketListener and ZeroMQSocketHandler examples in the Logging Cookbook not working
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: christian.heimes, docs@python, pablogsal
Priority: normal Keywords: patch

Created on 2017-08-28 18:55 by pablogsal, last changed 2017-09-08 22:27 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3229 merged pablogsal, 2017-08-28 18:55
PR 3430 merged python-dev, 2017-09-07 20:53
Messages (4)
msg300960 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2017-08-28 18:55
There are two documentation issues regarding the ZeroMQSocketListener and ZeroMQSocketHandler examples in the Logging Cookbook:


The first issue is that in the 'init' method for the 'ZeroMQSocketListener' the base class 'init' is never called and therefore the internal variables are not correctly initialized. This leads to an empty 'handlers' attribute and a undefined 'queue' attribute.

The second issue is that zmq.Socket.send and zmq.Socket.setsockopt only admits bytecode variables and therefore it fails in Python3 when using plain strings.
msg301629 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-07 20:53
New changeset 586c0502b5eb9a39cabe0bc2707a8ff63114265c by Christian Heimes (Pablo Galindo) in branch 'master':
bpo-31294: Fix ZeroMQSocketListener and ZeroMQSocketHandler examples (#3229)
https://github.com/python/cpython/commit/586c0502b5eb9a39cabe0bc2707a8ff63114265c
msg301641 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-07 22:28
New changeset 27ce5a1b1931b670da234c30d24bfbbc93fa24d7 by Christian Heimes (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31294: Fix ZeroMQSocketListener and ZeroMQSocketHandler examples (GH-3229) (#3430)
https://github.com/python/cpython/commit/27ce5a1b1931b670da234c30d24bfbbc93fa24d7
msg301745 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-08 22:27
Thanks for your contribution. Your PR has been merged into 3.6 and master, which will become Python 3.7 eventually.
History
Date User Action Args
2017-09-08 22:27:33christian.heimessetstatus: open -> closed
versions: + Python 3.6, Python 3.7
messages: + msg301745

resolution: fixed
stage: patch review -> resolved
2017-09-07 22:28:23christian.heimessetmessages: + msg301641
2017-09-07 20:53:24python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3427
2017-09-07 20:53:14christian.heimessetnosy: + christian.heimes
messages: + msg301629
2017-08-28 18:55:35pablogsalcreate